Last Comment Bug 204786 - Add setting to change delay before tooltip shows
: Add setting to change delay before tooltip shows
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Widget (show other bugs)
: Trunk
: All All
: -- enhancement with 2 votes (vote)
: mozilla11
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 14:52 PDT by Joseph Delaney
Modified: 2012-03-24 11:12 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (8.39 KB, patch)
2011-12-06 15:24 PST, Masayuki Nakano [:masayuki] (Mozilla Japan)
no flags Details | Diff | Splinter Review
Patch (14.77 KB, patch)
2011-12-06 15:32 PST, Masayuki Nakano [:masayuki] (Mozilla Japan)
roc: review+
enndeakin: review+
Details | Diff | Splinter Review

Description Joseph Delaney 2003-05-07 14:52:12 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4b) Gecko/20030505
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4b) Gecko/20030505

There's much that is wrong with tooltips (bug 45522 to start with, but it
doesn't cover everything) and although things are improving it would still be
great if you could specify how long you wanted to wait before a tooltip
displays. For instance, bug 82953 will drive me insane if it is implemented, and
with a simple on/off choice I would have no alternative but to shut them off.

But with an setting to change the delay to a long 5 seconds or so, I could keep
the tooltips on while only seeing them if I chose, while people who want them to
appear more frequently (or while moving the mouse) could set the delay down to a
short 1 second or zero.

I think this would also satisfactorily address Bug 24232 since the real issue
there is that people sometimes want to see them, sometimes they don't. 

Reproducible: Always

Steps to Reproduce:
Comment 1 Gervase Markham [:gerv] 2005-09-27 02:07:59 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 2 Gervase Markham [:gerv] 2005-10-13 10:36:53 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2006-10-02 14:15:24 PDT
FWIW, other bugs which affect tooltip display time: bug 45522, bug 83953
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2006-10-02 14:17:27 PDT
> bug 83953

correction: bug 82953    (sorry for the spam - new keyboard and all)

Comment 5 Carl McCall 2007-07-31 13:39:51 PDT
I agree. Tooltips have a lot of bugs still associated with them and I for one would set it to 1,000 seconds after I memorized them all.  Titles on web pages are one thing ... but no one wants to see the same tooltip EVERY TIME for 1,000,000 times in a row ESPECIALLY if its appearance causes you to lose a bookmark! 


See also bug 385557 and bug 45522
Comment 6 Lucas Yamanishi 2008-01-16 04:16:54 PST
A delay attribute in milliseconds would be very useful and would resolve the titletips problem.  See Bug 32157.
Comment 7 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-12-06 15:24:23 PST
Created attachment 579482 [details] [diff] [review]
Patch

I think that this is useful for tests. If both roc and enn agree with this patch, I'll requset feedback to each widget owners to know better delay value if the platforms have.
Comment 8 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-12-06 15:32:52 PST
Created attachment 579487 [details] [diff] [review]
Patch

Sorry for the spam, the previous patch isn't -p -U 8.
Comment 9 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-12-16 01:20:25 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/4950a29c499f
Comment 10 Ed Morley [:emorley] 2011-12-16 05:48:17 PST
https://hg.mozilla.org/mozilla-central/rev/4950a29c499f
Comment 11 Eric Shepherd [:sheppy] 2012-03-24 11:12:53 PDT
Documented:

https://developer.mozilla.org/en/Mozilla/Preferences/Preference_reference/ui.tooltipDelay

And mentioned on Firefox 11 for developers. I also created the new Template:Pref template, which inserts a styled link to a page in the preference reference. By the way, I love saying "Preference reference."

Note You need to log in before you can comment on or make changes to this bug.